{% load staticfiles %}
<html>
  <head>
<title></title>
</head>
<body>

{% verbatim %}
  <div id="verifier-app">
    <h2>Ingresa el RUT</h2>
    <p>Sin puntos ni guiones ni digito verificador</p>
    <input type="number" v-model="rut" v-focus>
    <span><strong>{{ verifier }}</strong></span>
    </div>
{% endverbatim %}

<script type="text/javascript" src="{% static 'theme/plugins/jquery/dist/jquery.min.js' %}"></script>
<script src="https://unpkg.com/vue"></script>
    <script src="https://unpkg.com/vue-resource"></script>
    <script src="https://cdn.jsdelivr.net/npm/lodash@4.13.1/lodash.min.js"></script>
<script>
  // Register a global custom directive called v-focus
  Vue.directive('focus', {
  // When the bound element is inserted into the DOM...
  inserted: function (el) {
  // Focus the element
  el.focus()
    
  }
  
  })

  var app = new Vue({
      el: '#verifier-app',
      data: {
	  rut: null,
	  verifier: null
      },
      watch: {
	  rut: function(newRut) {
	      if (newRut) {
		  this.verifier = 'Calculando...';
	      }
	      this.getVerifier();
	  }
      },
      methods: {
	  getVerifier: _.debounce(
	      function() {
		  var payload = {rut: this.rut};
		  this.$http.post('/customers/verifier-digit/', payload).then(response => {
		      this.verifier = response.body.verifier_digit;
		  });
	      },
	      300
	  )
      }
  })
</script>
</body>
</html>
